[ovs-git] Open vSwitch: extract-ofp-errors: Make Python 3 compatible. (master)

dev at openvswitch.org dev at openvswitch.org
Fri Mar 22 20:01:54 UTC 2013


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Open vSwitch".

The branch, master has been updated
       via  f4d90e0d040d8ee0bcb1ce44f680fa921f09f2b6 (commit)
      from  5c8baf15b5887995167a2417926c6d700fa1f497 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit f4d90e0d040d8ee0bcb1ce44f680fa921f09f2b6
Diffs: http://openvswitch.org/cgi-bin/gitweb.cgi?p=openvswitch;a=commitdiff;h=f4d90e0d040d8ee0bcb1ce44f680fa921f09f2b6
Author: Damien Millescamps <damien.millescamps at 6wind.com>
		
extract-ofp-errors: Make Python 3 compatible.
		
extract-ofp-errors doesn't work with python 3 for the
following reasons:

- several "SyntaxError: invalid syntax":
  print not a keyword anymore. As a function it requires '()'
- AttributeError: 'dict' object has no attribute 'itervalues'
  Use values() instead.

Test done:
Generate using ofp-errors.inc as a reference
Patch for python 3, then regenerate ofp-errors.inc
Diff between the two outputs.

Signed-off-by: Damien Millescamps <damien.millescamps at 6wind.com>
Signed-off-by: Ben Pfaff <blp at nicira.com>


-----------------------------------------------------------------------

Summary of changes:
 AUTHORS                      |    1 +
 build-aux/extract-ofp-errors |   42 +++++++++++++++++++++---------------------
 2 files changed, 22 insertions(+), 21 deletions(-)


hooks/post-receive
-- 
Open vSwitch



More information about the git mailing list